<!DOCTYPE html>
<html>
  <body>
{%- if entry.status == entry.Status.OFFLINE -%}
<div><span style="font-weight: bold; color: #c00;">OFFLINE SINCE</span>: {{ format_datetime(entry.updated) }}</div>
{%- elif entry.status == entry.Status.FAILED -%}
<div><span style="font-weight: bold; color: #c00;">FAILED AT</span>: {{ format_datetime(entry.updated) }}</div>
{%- endif -%}

{%- if station and URL and (record.PLOT_MODE is defined or (record.REALTIME_MODE and link_to_realtime) or (record.ACQUISITION_MODE and link_to_acquisition)) -%}
<div>
Station Data:
{%- if record.PLOT_MODE is defined %}
<a href="{{ URL }}/station/{{ station }}{% if record.PLOT_MODE %}/{{ record.PLOT_MODE }}{% endif %}">General</a>
{%- endif -%}
{%- if record.REALTIME_MODE and link_to_realtime %}
<a href="{{ URL }}/station/{{ station }}/{{ record.REALTIME_MODE }}">Realtime</a>
{%- endif -%}
{%- if record.ACQUISITION_MODE and link_to_acquisition %}
<a href="{{ URL }}/station/{{ station }}/{{ record.ACQUISITION_MODE }}">Acquisition</a>
{%- endif -%}
</div>
{%- endif -%}

{%- include 'dashboard/common/ingest/time_sync.html' -%}
{%- include 'dashboard/common/basic/notifications.html' -%}
{%- include 'dashboard/common/basic/watchdogs.html' -%}

{%- set condition_sort = namespace(instrument={}, other=[]) -%}
{%- for i in conditions -%}
    {%- if i.is_instrument_condition -%}
        {%- set existing = condition_sort.instrument.get(i.instrument) -%}
        {%- if not existing -%}
            {%- do condition_sort.instrument.update({i.instrument: [i]}) -%}
        {%- else -%}
            {%- do existing.append(i) -%}
        {%- endif -%}
    {%- else -%}
        {%- do condition_sort.other.append(i) -%}
    {%- endif -%}
{%- endfor -%}

{%- with instruments = condition_sort.instrument, include_present = True -%}
{%- include 'dashboard/common/ingest/instrument_conditions.html' -%}
{%- endwith -%}

{%- with conditions = condition_sort.other, include_present = True -%}
{%- include 'dashboard/common/basic/conditions.html' -%}
{%- endwith -%}

{%- set event_sort = namespace(file_processed=[], message_log=[], communications_list={}, other=[]) -%}
{%- for i in events -%}
    {%- if i.is_processed_file -%}
        {%- do event_sort.file_processed.append(i) -%}
    {%- elif i.is_message_log -%}
        {%- do event_sort.message_log.append(i) -%}
    {%- elif i.is_communications_lost -%}
        {%- set existing = event_sort.communications_list.get(i.display) -%}
        {%- if not existing -%}
            {%- do event_sort.communications_list.update({i.display: (i, 1)}) -%}
        {%- else -%}
            {%- do event_sort.communications_list.update({i.display: (i, existing[1] + 1)}) -%}
        {%- endif -%}
    {%- else -%}
        {%- do event_sort.other.append(i) -%}
    {%- endif -%}
{%- endfor -%}

{%- with communications_lost = event_sort.communications_list -%}
{%- include 'dashboard/common/ingest/communications_lost.html' -%}
{%- endwith -%}

{%- with messages = event_sort.message_log, remove_same_date=True -%}
{%- include 'dashboard/common/ingest/message_log.html' -%}
{%- endwith -%}

{%- with events = event_sort.other, remove_same_date=True -%}
{%- include 'dashboard/common/basic/events.html' -%}
{%- endwith -%}

{%- with files = event_sort.file_processed, remove_same_date=True -%}
{%- include 'dashboard/common/ingest/files.html' -%}
{%- endwith -%}

{% include 'dashboard/email/basic_footer.html' %}

  </body>
</html>